<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
include_once ("include/cripta.class.php");

class encomenda extends elemento{
	
	function encomenda() {  }
	
	function editar($id=""){

        $db= new dbElemento;
		
		$linha=@$db->getLinha($this->tipo, $id);
		$user=@$db->getLinha('cliente', $linha['idu']);
		
		/*$c= new cripta;
		$user=$c->decLista($user , array('nome', 'codigo') );	*/	

		$f= new form($id, $linha, $this->req);
		$f->toolbars();
     	
		$f->titulo("Encomenda / ",1);
	
		//$f->label("Encomenda nš:",$id);
		$f->labelBR("Cliente", $linha['idu'] . " - " . $user['nome']);
		$f->labelBR("Recebida",$linha['data'] . " - " . $linha['hora']);

		$listaCampos="encomendaItem.quantidade, produto.nome, produto.preco, produto.iva";
		$filtro['ide']=$id;
		
		$dados=$db->getListaComposta("encomendaItem, produto", $this->idCat, $listaCampos, 'nome', 'asc',  0, $this->req['limit'], "", $filtro, "encomendaItem.idp=produto.id" );
		
		$cabecalho=array("quantidade", "produto", "preco", "iva");
		$f->tabelaInterior("Items",$cabecalho,$dados);
		$f->labelBR("Iva",$linha['iva'] );
		$f->labelBR("Total",$linha['total'] );
		
		$f->campoValor("iva", $linha['iva'] );
		$f->campoValor("total", $linha['total'] );
		$f->campoValor("data", $linha['data'] );
		$f->campoValor("hora", $linha['hora'] );		
		
		$dados=$db->getListaCategorias("encomendaStatus", "*");
		foreach ($dados as $l) $dadosStatus[$l['id']]=$l['status'];
		
		$f->campoSeleccao("Estado", 'status', $dadosStatus, $linha['status']);
		$f->mostra();
	}
	
	function listar(){
        
        $campos=array("Nr"=>"id","Nome"=>"nome", "Data"=>"data" ,"Hora"=>"hora","Total"=>"total" );
        $db= new dbElemento;
		$listaCampos="encomenda.id, cliente.nome, encomenda.data, encomenda.hora, encomenda.total";
		
        $dados=$db->getListaComposta("encomenda, cliente", $this->idCat, $listaCampos , "data,hora", "asc" ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'], "cliente.id=encomenda.idu" );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);

		/*$c= new cripta;
		$max=sizeof($dados);
		for ($i=0; $i<$max; $i++)
			$dados[$i]=$c->decLista($dados[$i] , array('nome', 'codigo') );*/
		
        $f= new lista($campos, $dados, $this->req);
		
		$toolbar= new toolbar();
		$toolbar->escolhe("encomendaStatus", "status","status", $this->req[filtro][status], "Status",true);
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		$toolbar->procurar($this->req['procurar']);   //mudar para campo
		$toolbar->botao_l("procurar", 90);
		$toolbar->fim();
		
		$f->titulo("Encomenda / ");
		$f->cabecaSimples();
        $f->tabela(false, false, false);
		$f->mostra();
	}

}
?>
